import companydirectory, developer, employee, manager;

void main()
{
    auto dev1 = new Developer(100, "Lokesh Sharma", "Pro Developer");
    auto dev2 = new Developer(101, "Vinay Sharma", "Developer");
    auto engDirectory = new CompanyDirectory();
    engDirectory.addEmployee(dev1);
    engDirectory.addEmployee(dev2);

    auto man1 = new Manager(200, "Kushagra Garg", "SEO Manager");
    auto man2 = new Manager(201, "Vikram Sharma ", "Kushagra's Manager");

    auto accDirectory = new CompanyDirectory();
    accDirectory.addEmployee(man1);
    accDirectory.addEmployee(man2);

    auto directory = new CompanyDirectory();
    directory.addEmployee(engDirectory);
    directory.addEmployee(accDirectory);
    directory.showEmployDetails();
}
